<?php

namespace App\Actions;

use LaravelViews\Actions\Action;
use LaravelViews\Views\View;
use Illuminate\Support\Facades\Auth;


class EditMedicalReport extends Action
{

    /**
     * Any title you want to be displayed
     * @var String
     * */
    public $title;

    /**
     * This should be a valid Feather icon string
     * @var String
     */
    public $icon = "edit";

    /**
     * 
     */
    public function __construct(){
        parent::__construct();
        $this->title = __("common.editDetail");
    }

    /**
     * Execute the action when the user clicked on the button
     *
     * @param $model Model object of the list where the user has clicked
     * @param $view Current view where the action was executed from
     */
    public function handle($model, View $view)
    {
        $patient  = $model->patient()->first();
        return redirect()->route('/admin/update-medical-report',['id'=>$model->id,'patientId'=>$patient->id]);
    }

    /**
     * 
     */
    public function renderIf($model, View $view){
        return (Auth::user()->id === $model->user->id);
    }
}
